osgTerrain::GeometryTechnique::BufferData Class Reference

`#include <GeometryTechnique>`

Inheritance diagram for osgTerrain::GeometryTechnique::BufferData:

## Public Member Functions

| BufferData ()
Public Member Functions inherited from osg::Referenced
| Referenced ()
| Referenced (bool threadSafeRefUnref)
| Referenced (const Referenced &)
Referenced & | operator= (const Referenced &)
virtual void | setThreadSafeRefUnref (bool)
bool | getThreadSafeRefUnref () const
OpenThreads::Mutex * | getRefMutex () const
int | ref () const
int | unref () const
int | unref_nodelete () const
int | referenceCount () const
ObserverSet * | getObserverSet () const
ObserverSet * | getOrCreateObserverSet () const
void | addObserver (Observer *observer) const
void | removeObserver (Observer *observer) const

## Public Attributes

osg::ref_ptr< osg::MatrixTransform > | _transform
osg::ref_ptr< osg::Geode > | _geode
osg::ref_ptr< osg::Geometry > | _geometry

## Protected Member Functions

| ~BufferData ()
Protected Member Functions inherited from osg::Referenced
virtual | ~Referenced ()
void | signalObserversAndDelete (bool signalDelete, bool doDelete) const
void | deleteUsingDeleteHandler () const

## Additional Inherited Members

Static Public Member Functions inherited from osg::Referenced
static OpenThreads::Mutex * | getGlobalReferencedMutex ()
static void | setDeleteHandler (DeleteHandler *handler)
static DeleteHandler * | getDeleteHandler ()
Protected Attributes inherited from osg::Referenced
OpenThreads::AtomicPtr | _observerSet
OpenThreads::Atomic | _refCount

## Constructor & Destructor Documentation

## BufferData()

osgTerrain::GeometryTechnique::BufferData::BufferData | ( |  | ) |

inline

## ~BufferData()

osgTerrain::GeometryTechnique::BufferData::~BufferData | ( |  | ) |

inline protected

## Member Data Documentation

## _geode

osg::ref_ptr<osg::Geode> osgTerrain::GeometryTechnique::BufferData::_geode

## _geometry

osg::ref_ptr<osg::Geometry> osgTerrain::GeometryTechnique::BufferData::_geometry

## _transform

osg::ref_ptr<osg::MatrixTransform> osgTerrain::GeometryTechnique::BufferData::_transform

The documentation for this class was generated from the following file:

- GeometryTechnique